# Uses of Class
ij.gui.Line

Packages that use Line
Package
Description
ij.gui
ij.plugin

## Uses of Line in ij.gui

Subclasses of Line in ij.gui
Modifier and Type
Class
Description
`class`
`Arrow`
This is an Roi subclass for creating and displaying arrows.
Methods in ij.gui that return Line
Modifier and Type
Method
Description
`static Line`
Line.`create(double x1, double y1, double x2, double y2)`
Creates a new straight line selection using the specified starting and ending offscreen coordinates.
Constructors in ij.gui with parameters of type Line
Modifier
Constructor
Description
``
`PointIterator(Line line)`

## Uses of Line in ij.plugin

Methods in ij.plugin with parameters of type Line
Modifier and Type
Method
Description
`ImageProcessor`
Straightener.`straightenLine(ImagePlus imp, Line line, int width)`